<?xml version="1.0" encoding="utf-8"?>
<!--
     Copyright (C) 2014-2022 BlissRoms Project
     SPDX-License-Identifier: Apache-2.0
-->
<resources>
    <!-- Default value for proximity check on screen wake
     NOTE ! - Enable for devices that have a fast response proximity sensor (ideally < 300ms)-->
    <bool name="config_proximityCheckOnWake">false</bool>
    <integer name="config_proximityCheckTimeout">250</integer>
    <bool name="config_proximityCheckOnWakeEnabledByDefault">false</bool>

    <!-- Whether device has physical tri state switch -->
    <bool name="config_hasAlertSlider">false</bool>

     <!-- The location of the devices physical tri state switch
         0: Left side
         1: Right side -->
    <integer name="config_alertSliderLocation">0</integer>

    <!-- Whether key handler sends intent when changing slider position -->
    <string name="config_alertSliderIntent"></string>

    <!-- The list of components which should be automatically disabled for a specific device.
         Note: this MUST not be used to randomly disable components, ask for approval first! -->
    <string-array name="config_deviceDisabledComponents" translatable="false">
    </string-array>

    <!-- The list of components which should be automatically disabled for all devices. -->
    <string-array name="config_globallyDisabledComponents" translatable="false">
    </string-array>

    <!-- The list of components which should be forced to be enabled. -->
    <string-array name="config_forceEnabledComponents" translatable="false">
    </string-array>

    <!-- Paths to the libraries that contain device specific key handlers -->
    <string-array name="config_deviceKeyHandlerLibs" translatable="false">
    </string-array>

    <!-- Names of the key handler classes -->
    <string-array name="config_deviceKeyHandlerClasses" translatable="false">
    </string-array>

    <!-- The list of vendor package signatures that should also be considered
         platform signatures, specifically for use on devices with a vendor partition. -->
    <string-array name="config_vendorPlatformSignatures">
    </string-array>

    <!-- Whether to cleanup fingerprints upon connection to the daemon and when user switches -->
    <bool name="config_cleanupUnusedFingerprints">true</bool>

    <!-- Whether to cancel fingerprint operation if not idle -->
    <bool name="config_fpCancelIfNotIdle">false</bool>

    <!-- Whether to force enable multi resolution configuration for camera -->
    <bool name="config_forceMultiResolution">false</bool>

    <!-- Switch USB controller on Asus ROG devices-->
    <bool name="config_switchUsbController">false</bool>

    <!-- Whether to disable Night Light on Udfps keyguard -->
    <bool name="config_udfpsDisableNightLight">false</bool>

    <!-- Whether device supports gaming mode profiles -->
    <bool name="config_gamingmode_performance">false</bool>

    <!-- Path to fast charging status file to detect whether an oem fast charger is active -->
    <string name="config_oemFastChargerStatusPath" translatable="false"></string>

    <!-- Expected value from fast charging status file  -->
    <string name="config_oemFastChargerStatusValue" translatable="false">1</string>

    <!-- Does the device have a notification led -->
    <bool name="config_hasNotificationLed">true</bool>

    <!-- Is the battery LED intrusive? Used to decide if there should be a disable option -->
    <bool name="config_intrusiveBatteryLed">true</bool>

     <!-- Does the battery LED support multiple colors?
         Used to decide if the user can change the colors -->
    <bool name="config_multiColorBatteryLed">true</bool>

     <!-- Do the battery/notification LEDs support pulsing?
         Used to decide if we show pulse settings -->
    <bool name="config_ledCanPulse">true</bool>

    <!-- List of system apps that are allowed to be locked with app lock.
         Use with extreme caution. -->
    <string-array name="config_appLockAllowedSystemApps" translatable="false" />

    <!-- Global Actions prefs list -->
    <string-array translatable="false" name="custom_config_globalActionsList">
        <item>emergency</item>
        <item>power</item>
        <item>restart</item>
        <item>advanced</item>
        <item>logout</item>
        <item>users</item>
        <item>silent</item>
        <item>screenshot</item>
        <item>airplane</item>
        <item>settings</item>
        <item>lockdown</item>
        <item>torch</item>
        <item>onthego</item>
    </string-array>

    <!-- Enable face auth only when swiping security view -->
    <bool name="config_faceAuthOnlyOnSecurityView">false</bool>
</resources>
